Subject: Re: [EAI] Comments on Downgrading

From: [email-masked]
Date: Tue, 02 May 2006 13:25:28 +0900 (JST)

> From: Harald Alvestrand <[email-masked]>
> >>>* Section 3.1: "SMTP client detects UTF-8 is included in SMTP envelope or 
> >>>mail headers". Haven't we introduced the i18n-header to avoid making this 
> >>>realtime, unreliable checks? And is it really meant "detects UTF-8" or it 
> >>>is rather meant "detects 8th bit set"?
> >>>      
> >>>
> >
> >Considering implementation costs, I want to use detecting 8th bit set
> >instead of UTF-8 check.
> >  
> >
> The implementation cost for a proper UTF-8 detector is rather small (you 
> check for the non-presence of the 13 forbidden bytes, and that sequences 
> are properly formed - all that can be done in a fairly small finite 
> state machine in one pass, and you still don't have to look at any byte 
> more than oce), and the cost of accepting ISO 8859-1 into processing 
> stages that expect properly formatted UTF-8 is that you have to do the 
> error checking for that condition *everywhere*.
> 
> If we want to have heuristic UTF-8 detection, I think we should 
> recommend UTF-8 detection, not the 8th bit check.

I agree.

> But if we go with the flag (i18n-header or otherwise), we have moved 
> heuristic UTF-8 detection into the realm of "handling nonconformant 
> data", which our standards leave out a lot of the time anyway.

I understand. I will rewrite to delete UTF-8 detection in downgrade draft.
UTF-8 detection should be written in smtpext draft, I think.

As a result of UTF-8 detection in smtpext (without downgrade),
bounce or downgrading occurs.

Mail header downgrading refers i18n-header flag.

...

Adding received header with IMA requires i18n-mail header manupulation.

> >  
> >
> >>There are just-send-8859-1 mailers out there in the wild.
> >>UTF-8 can be detected with fair reliability.
> >>    
> >>
> >
> >Are ISO-8859-1 characters (not in US-ASCII) allowed in mail headers?
> >  
> >
> No, they're forbidden. There are mailers that send them anyway.

May such mail be bounced?

--
Kazunori Fujiwara, JPRS

_______________________________________________
IMA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ima